<template>
    <div>
        <h6> Becario: {{ props.liq.apyn }} , Importe: {{ props.liq.Importe_total }} </h6>
        <table class="table  table-striped" v-if="data.listadoDetalleBecas.length > 0">
        <thead>
            <tr>
                <th scope="col">Concepto</th>
                <th scope="col">Descripción</th>
                <th scope="col">Mes</th>
                <th scope="col">Importe</th>
                
            </tr>
        </thead>
        <tbody>
            <tr v-for="liq in data.listadoDetalleBecas" :key="liq.id_liq_deta">
                <td v-text="liq.c_concepto"></td>
                <td v-text="liq.d_concepto"></td>
                <td v-text="liq.mes_pag"></td>
                <td v-text="liq.importe"></td>
                
            </tr>
        </tbody>
    </table>     
    </div>
</template>
  
<script setup lang="ts">

import { onMounted, reactive } from "vue";
import http from "@/http";
import type { AxiosResponse } from "axios";
import  { urlApi } from "@/shared.js";

//entitie
import CabeceraBecas from "@/entities/Liquidaciones/CabeceraBecas";
import DetalleBecas from "@/entities/Liquidaciones/DetalleBecas";



var data = reactive({
    listadoDetalleBecas: [] as DetalleBecas[],
});

const props = defineProps({
    liq: { type: CabeceraBecas, required: true }
});

onMounted(async () => {

    const paramsRequest: any = {};
    paramsRequest.id_liq_cab = props.liq.id_liq_cab;

    const response: AxiosResponse<DetalleBecas[]> = await http.request<DetalleBecas[]>({
        method: "GET",
        url: urlApi + "listadoLiquidacionBecasDetalle",
        params: paramsRequest,
        transformResponse: [
            (data: string) => {
                const liquidaciones: DetalleBecas[] = JSON.parse(data);
                const dataAux: DetalleBecas[] = [];
                liquidaciones.forEach((element: DetalleBecas) => {
                    dataAux.push(Object.assign(new DetalleBecas(), element));
                });
                return dataAux;
            },
        ],
    });
    data.listadoDetalleBecas= response.data; 
})



</script>
  